#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        This lib manages sieve support
Name:           libksieve
Epoch:          2
Version: 23.04.3
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5WebEngine)

BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5NewStuff)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5CalendarCore)
BuildRequires:  cmake(KF5DocTools)

BuildRequires:  cmake(KF5PimCommon)
BuildRequires:  cmake(KPim5Akonadi) >= 5.23.1
BuildRequires:  cmake(KPim5Libkdepim)
BuildRequires:  cmake(KPim5Mime)
BuildRequires:  cmake(KPim5IdentityManagement)
BuildRequires:  cmake(KPim5MailTransport)
BuildRequires:  cmake(KPim5TextEdit)

Provides:       kio5-sieve = %{epoch}:%{version}-%{release}
# can be removed for mga10
Obsoletes:      kio5-sieve < 2:22.12.2-2
Obsoletes:      %{name}-handbook < 2:22.12.2-2

%description
This lib manages sieve support.

%files -f %name.lang
%_kf5_categoriesdir/libksieve.categories
%_kf5_categoriesdir/libksieve.renamecategories
%_kf5_datadir/knsrcfiles/ksieve_script.knsrc
%_kf5_datadir/sieve

#--------------------------------------------------------------------

%define kpim5kmanagesieve_major 5
%define libkpim5kmanagesieve %mklibname kpim5kmanagesieve %{kpim5kmanagesieve_major}

%package -n %libkpim5kmanagesieve
Summary:        This lib manages sieve support
Group:          System/Libraries
Requires:       %name = %epoch:%version

%description -n %libkpim5kmanagesieve
This lib manages sieve support.

%files -n %libkpim5kmanagesieve
%_kf5_libdir/libKPim5KManageSieve.so.%{kpim5kmanagesieve_major}{,.*}

#--------------------------------------------------------------------

%define kpim5ksieve_major 5
%define libkpim5ksieve %mklibname kpim5ksieve %{kpim5ksieve_major}

%package -n %libkpim5ksieve
Summary:        This lib manages sieve support
Group:          System/Libraries
Requires:       %name = %epoch:%version

%description -n %libkpim5ksieve
This lib manages sieve support.

%files -n %libkpim5ksieve
%_kf5_libdir/libKPim5KSieve.so.%{kpim5ksieve_major}{,.*}

#--------------------------------------------------------------------

%define kpim5ksieveui_major 5
%define libkpim5ksieveui %mklibname kpim5ksieveui %{kpim5ksieveui_major}

%package -n %libkpim5ksieveui
Summary:        This lib manages sieve support
Group:          System/Libraries
Requires:       %name >= %epoch:%version

%description -n %libkpim5ksieveui
This lib manages sieve support.

%files -n %libkpim5ksieveui
%_kf5_libdir/libKPim5KSieveUi.so.%{kpim5ksieveui_major}{,.*}

#--------------------------------------------------------------------

%define libksieve_devel %mklibname kf5libksieve -d

%package -n %libksieve_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkpim5kmanagesieve = %epoch:%version-%release
Requires:       %libkpim5ksieve = %epoch:%version-%release
Requires:       %libkpim5ksieveui = %epoch:%version-%release

Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %libksieve_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %libksieve_devel
%_includedir/KPim5/KManageSieve/
%_includedir/KPim5/KSieveUi/
%_kf5_includedir/KSieve/
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KPim5LibKSieve/
%_kf5_libdir/cmake/KF5LibKSieve/
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name


%changelog
* Thu Aug 31 2023 neoclust <neoclust> 2:23.04.3-1.mga9
+ Revision: 1982568
- New version 23.04.3

* Sun May 28 2023 neoclust <neoclust> 2:23.04.1-1.mga9
+ Revision: 1959334
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 2:22.12.3-1.mga9
+ Revision: 1946585
- New version 22.12.3

* Thu Feb 16 2023 daviddavid <daviddavid> 2:22.12.2-2.mga9
+ Revision: 1943494
- remove/obsolete no more provided kio5-sieve and libksieve-handbook sub-pkgs

* Thu Feb 16 2023 neoclust <neoclust> 2:22.12.2-1.mga9
+ Revision: 1943484
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 2:22.12.0-1.mga9
+ Revision: 1923000
- New version 22.12.0

* Thu Dec 01 2022 neoclust <neoclust> 2:22.11.90-1.mga9
+ Revision: 1913588
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 2:22.08.3-1.mga9
+ Revision: 1905345
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 2:22.08.1-1.mga9
+ Revision: 1886863
- New version 22.08.1

* Thu Sep 01 2022 neoclust <neoclust> 2:22.08.0-1.mga9
+ Revision: 1883148
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 2:22.04.3-1.mga9
+ Revision: 1873162
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 2:22.04.0-1.mga9
+ Revision: 1854052
- New version 22.04.0

* Thu Apr 21 2022 neoclust <neoclust> 2:22.03.90-1.mga9
+ Revision: 1852306
- New version 22.03.90

* Sat Apr 09 2022 wally <wally> 2:21.12.0-2.mga9
+ Revision: 1848240
- add upstream patch to fix build with GCC 12 (standard attributes in middle of decl-specifiers)

* Thu Dec 30 2021 neoclust <neoclust> 2:21.12.0-1.mga9
+ Revision: 1765496
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 2:21.04.1-1.mga9
+ Revision: 1724155
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 2:21.04.0-1.mga9
+ Revision: 1718436
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 2:20.12.3-2.mga9
+ Revision: 1698643
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 2:20.12.2-1.mga9
+ Revision: 1694166
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 2:20.12.0-1.mga8
+ Revision: 1655695
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 2:20.08.3-1.mga8
+ Revision: 1644077
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 2:20.08.2-1.mga8
+ Revision: 1633893
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 2:20.08.1-1.mga8
+ Revision: 1627136
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 2:20.08.0-1.mga8
+ Revision: 1615004
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 2:20.04.3-1.mga8
+ Revision: 1604200
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 2:20.04.2-1.mga8
+ Revision: 1596938
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 2:20.04.1-1.mga8
+ Revision: 1584585
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 2:20.04.0-1.mga8
+ Revision: 1568215
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 2:19.12.3-1.mga8
+ Revision: 1559404
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 2:19.12.2-2.mga8
+ Revision: 1540768
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 2:19.12.2-1.mga8
+ Revision: 1513380
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 2:19.12.0-1.mga8
+ Revision: 1467034
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 2:19.08.3-1.mga8
+ Revision: 1457980
- New version 19.08.3

* Fri Sep 27 2019 neoclust <neoclust> 2:19.08.1-1.mga8
+ Revision: 1447647
- New version 19.08.1

* Tue Jul 30 2019 daviddavid <daviddavid> 2:19.04.3-2.mga8
+ Revision: 1426025
- fix library and devel pkg name

* Tue Jul 30 2019 neoclust <neoclust> 2:19.04.3-1.mga8
+ Revision: 1426020
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 2:19.04.0-1.mga7
+ Revision: 1390526
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 2:19.03.90-1.mga7
+ Revision: 1387737
- New version 19.03.90

* Sun Mar 31 2019 umeabot <umeabot> 2:18.12.3-2.mga7
+ Revision: 1383104
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 2:18.12.3-1.mga7
+ Revision: 1375734
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 2:18.12.2-1.mga7
+ Revision: 1365649
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 2:18.12.1-1.mga7
+ Revision: 1356586
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 2:18.12.0-1.mga7
+ Revision: 1339591
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 2:18.08.3-1.mga7
+ Revision: 1332821
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 2:18.08.2-1.mga7
+ Revision: 1327474
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 2:18.04.1-2.mga7
+ Revision: 1298955
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 2:18.04.1-1.mga7
+ Revision: 1229116
- New version 18.04.1

* Tue Mar 06 2018 neoclust <neoclust> 2:17.12.2-5.mga7
+ Revision: 1206890
- Obsolete old libs instead of conflicting

* Mon Mar 05 2018 neoclust <neoclust> 2:17.12.2-4.mga7
+ Revision: 1206662
- Add epoch to fix conflict ( thanks to david_david)

* Fri Feb 23 2018 neoclust <neoclust> 2:17.12.2-3.mga7
+ Revision: 1204319
- Fix package renaming
- Fix package renaming

* Fri Feb 16 2018 neoclust <neoclust> 2:17.12.2-1.mga7
+ Revision: 1201970
- New version 17.12.2

* Thu Jan 25 2018 neoclust <neoclust> 2:17.12.1-2.mga7
+ Revision: 1196925
- Fix update

* Sat Jan 20 2018 neoclust <neoclust> 2:17.12.1-1.mga7
+ Revision: 1194992
- New version 17.12.1

* Fri Jan 12 2018 neoclust <neoclust> 2:17.12.0-2.mga7
+ Revision: 1192443
- Rename kf5ksieveui library

* Fri Jan 05 2018 neoclust <neoclust> 2:17.12.0-1.mga7
+ Revision: 1190472
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 2:17.08.0-1.mga7
+ Revision: 1143126
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 2:17.07.90-1.mga7
+ Revision: 1136890
- New version 17.07.90

* Tue Aug 01 2017 pterjan <pterjan> 2:17.04.3-2.mga7
+ Revision: 1133600
- Fix for new find_lang

* Thu Jul 27 2017 neoclust <neoclust> 2:17.04.3-1.mga7
+ Revision: 1131410
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090155
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076897
- New version 16.12.0

* Fri Dec 09 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1073852
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 2:16.08.3-1.mga6
+ Revision: 1067409
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 2:16.08.2-1.mga6
+ Revision: 1061472
- New version 16.08.2

* Mon Sep 19 2016 neoclust <neoclust> 2:16.08.1-2.mga6
+ Revision: 1054505
- Rebuild for ARM

* Tue Sep 13 2016 neoclust <neoclust> 2:16.08.1-1.mga6
+ Revision: 1051752
- New version 16.08.1

* Fri Sep 02 2016 neoclust <neoclust> 2:16.08.0-5.mga6
+ Revision: 1049811
- Exclude armv5tl as it needs QtWebEngine

* Fri Sep 02 2016 neoclust <neoclust> 2:16.08.0-4.mga6
+ Revision: 1049807
- Rebuild for armv7

* Fri Aug 26 2016 daviddavid <daviddavid> 2:16.08.0-3.mga6
+ Revision: 1049145
- kio5-sieve requires akonadi-contacts

* Thu Aug 25 2016 daviddavid <daviddavid> 2:16.08.0-2.mga6
+ Revision: 1048946
- fix dependencies adding missing epoch on kio5-sieve subpackage

* Tue Aug 23 2016 daviddavid <daviddavid> 2:16.08.0-1.mga6
+ Revision: 1047987
- add subpackage kio5-sieve no more provided by kdepimlibs
- add subpackage libksieve-handbook and conflicts kdepimlibs-handbooks
+ neoclust <neoclust>
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 2:16.04.3-1.mga6
+ Revision: 1040138
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 2:16.04.1-1.mga6
+ Revision: 1012628
- New version 16.04.1

* Mon Apr 25 2016 neoclust <neoclust> 2:16.04.0-2.mga6
+ Revision: 1006092
- Add conflicts to ease upgrade
- New version 16.04.0

* Thu Mar 31 2016 neoclust <neoclust> 2:16.03.80-1.mga6
+ Revision: 997032
- imported package libksieve

